﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace WebApplication87.Controllers
{
    public class StateController : Controller
    {
        // GET: State
        public ActionResult Index()
        {
            return View();
        }

		//Test mechanizmu sesji
		public ActionResult SessionTest()
		{
			if (Session["a"] == null)
				ViewBag.Msg = "Sesja jest pusta";
			else
				ViewBag.Msg = Session["a"];

			return View();
		}


		[HttpPost]
		public ActionResult SessionTest(string val)
		{
			if (!String.IsNullOrEmpty(val))
			{
				Session["a"] = val;
				return RedirectToAction("SessionTest");
			}

			return View();
		}


		//Test mechanizmu aplikacji
		public ActionResult AppTest()
		{
			var app = HttpContext.Application;

			if (app["a"] == null)
				ViewBag.Msg = "Aplikacja jest pusta";
			else
				ViewBag.Msg = app["a"];

			return View();
		}


		[HttpPost]
		public ActionResult AppTest(string val)
		{
			var app = HttpContext.Application;

			if (!String.IsNullOrEmpty(val))
			{
				app["a"] = val;
				return RedirectToAction("AppTest");
			}

			return View();
		}


		//Test mechanizmu ciasteczek
		public ActionResult CookieTest()
		{
			if (Request.Cookies["a"] == null)
				ViewBag.Msg = "Ciasteczko nie istnieje";
			else
				ViewBag.Msg = Request.Cookies["a"].Value;

			return View();
		}


		[HttpPost]
		public ActionResult CookieTest(string val)
		{
			if (!String.IsNullOrEmpty(val))
			{
				HttpCookie c = new HttpCookie("a");
				c.Value = val;
				c.Expires = DateTime.Now.AddSeconds(30);

				Response.Cookies.Add(c);

				return RedirectToAction("CookieTest");
			}

			return View();
		}

	}
}